RESTful interfaces

The following changes have been made in RESTful interfaces.

RESTful Configuration Interface (RCI)

The following settings from System Configurator (User and Role Management > Users > [user] > Contact Settings) have been added as fields to the users resource:

  • Number of Switchboard Queue added as defaultQueue

  • Maximum Number of Waiting Calls added as maxCallsWaiting

GET /cpExtensions can now be used for fetching video assistance extension configurations. The response includes new field type and new array parameters.

GET /RI/rci/users?userGroupId=* returns a list of group IDs the user belongs to.

Reporting groups

Resource GET /RI/rci/users has two new fields:

  • reportingGroupId

  • reportingGroupName

This update is related to Dashboard's Reporting group column.

It's possible to update a user's reporting group with resource PUT /RI/rci/users/:id.

New resources have been added for managing reporting groups:

  • GET /RI/rci/reportingGroups

  • POST /RI/rci/reportingGroups

  • GET /RI/rci/reportingGroups/:id

  • PUT /RI/rci/reportingGroups/:id

  • DELETE /RI/rci/reportingGroups/:id

RESTful Contact Management Interface (CMI)

Fetching callbacks (GET /RI/cmi/callbacks) was limited to 1000 results. Now there is no limit for the number of results and it's possible to use the limit parameter for the maximum number of returned results (for example, GET /RI/cmi/callbacks?limit=1200). Additionally, support was added for using the cursor parameter to fetch results in pages ordered by id.

Fetching script results (GET /RI/cmi/scriptResults) was limited to 100 results. Now the maximum limit is 1000. Additionally, support was added for using the cursor parameter to fetch results in pages ordered by id.

Result count

CMI, RMI, and OBI have been enhanced to support retrieving the total number of conversations, agents, and campaign customers per campaign:

  • GET /RI/cmi/contacts/count

    The maximum number of results returned is 10,000. You can further restrict the result count using the limit query parameter.

  • GET /RI/rmi/agents/count

  • GET /RI/obi/campaigns/:id/customers/count

The timeout for the /count query is 20 seconds.

Query timeout

The general data query time has been changed from 30 seconds to 28 seconds.